Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wsrp.consumer.management.portlet
Class ProxyPortletInfo

    java.lang.Object
      com.bea.wsrp.consumer.management.portlet.ProxyPortletInfo

All Implemented Interfaces
  Serializable

    public class ProxyPortletInfo

extends Object
implements Serializable

Proxy portlet metadata.

See Also
  Serialized Form

Constructor Summary
`ProxyPortletInfo(String producerHandle, String portletHandle, byte stateChangeFlag, boolean requiresUrlTemplates, boolean templatesStoredInSession, int proxyPortletId, byte[] portletState, String deleteErrorCause, boolean producerOfferedPortlet)` Creates an instance.
`ProxyPortletInfo(String producerHandle, String portletHandle, byte stateChangeFlag, boolean requiresUrlTemplates, boolean templatesStoredInSession, int proxyPortletId, byte[] portletState, String deleteErrorCause, boolean producerOfferedPortlet, boolean producerRemovable)` Creates an instance.

Method Summary
`String` | `getDeleteErrorCause()` Returns any error cause set if the consumer tries to destroy the portlet and the attempt failed.
`String` | `getPortletHandle()` Returns the portlet handle.
`byte[]` | `getPortletState()` Returns the optional binary portlet state.
`String` | `getProducerHandle()` Returns producer handle.
`int` | `getProxyPortletId()` Returns the unique ID used to store this proxy portlet in the database.
`byte` | `getStateChangeFlag()` Returns portlet state change flag.
`boolean` | `isProducerOfferedPortlet()` Returns whether this portlet is producer offered or consumer created.
`boolean` | `isProducerRemovable()` Is it safe to call removePortlets on portletHandle Will only return true when this is returned from getRemovableProxyPortlets
`boolean` | `isRequiresUrlTemplates()` Returns whether the portlet requires URL templates.
`boolean` | `isTemplatesStoredInSession()` Returns whether the portlet stores URL templates in the session.
`void` | `setDeleteErrorCause(String deleteErrorCause)` Sets error cause set if the consumer tries to destroy the portlet and the attempt failed.
`void` | `setPortletHandle(String portletHandle)` Sets the portlet handle.
`void` | `setPortletState(byte[] portletState)` Sets the binary porltet state.
`void` | `setProducerHandle(String producerHandle)` Sets producer handle.
`void` | `setProducerOfferedPortlet(boolean producerOfferedPortlet)` Sets whether this portlet is producer offered or consumer created.
`void` | `setProxyPortletId(int proxyPortletId)` Sets the unique ID used to store this proxy portlet in the database.
`void` | `setRequiresUrlTemplates(boolean requiresUrlTemplates)` Sets whether the portlet requires URL templates.
`void` | `setStateChangeFlag(byte stateChangeFlag)` Sets portlet state change flag.
`void` | `setTemplatesStoredInSession(boolean templatesStoredInSession)` Sets whether the portlet stores URL templates in the session.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ProxyPortletInfo

    public ProxyPortletInfo(String producerHandle,
                            String portletHandle,
                            byte stateChangeFlag,
                            boolean requiresUrlTemplates,
                            boolean templatesStoredInSession,
                            int proxyPortletId,
                            byte[] portletState,
                            String deleteErrorCause,
                            boolean producerOfferedPortlet)

  Creates an instance. With producerRemovable = false

  Parameters
    `producerHandle` - producer handle
    `portletHandle` - portlet handle
    `stateChangeFlag` - state change flag
    `requiresUrlTemplates` - requires templates
    `templatesStoredInSession` - templates stored in HTTP session
    `proxyPortletId` - proxy portlet ID
    `portletState` - optional binary portlet state
    `deleteErrorCause` - delete error cause
    `producerOfferedPortlet` - producer offered or consumer configured

### ProxyPortletInfo

    public ProxyPortletInfo(String producerHandle,
                            String portletHandle,
                            byte stateChangeFlag,
                            boolean requiresUrlTemplates,
                            boolean templatesStoredInSession,
                            int proxyPortletId,
                            byte[] portletState,
                            String deleteErrorCause,
                            boolean producerOfferedPortlet,
                            boolean producerRemovable)

  Creates an instance.

  Parameters
    `producerHandle` - producer handle
    `portletHandle` - portlet handle
    `stateChangeFlag` - state change flag
    `requiresUrlTemplates` - requires templates
    `templatesStoredInSession` - templates stored in HTTP session
    `proxyPortletId` - proxy portlet ID
    `portletState` - optional binary portlet state
    `deleteErrorCause` - delete error cause
    `producerOfferedPortlet` - producer offered or consumer configured
    `producerRemovable` - whether removePortlets may safely be called on this handle

Method Detail

### getProducerHandle

    public String getProducerHandle()

  Returns producer handle.

  Returns
    producer handle

### setProducerHandle

    public void setProducerHandle(String producerHandle)

  Sets producer handle.

  Parameters
    `producerHandle` - producer handle

### getPortletHandle

    public String getPortletHandle()

  Returns the portlet handle.

  Returns
    portlet handle

### setPortletHandle

    public void setPortletHandle(String portletHandle)

  Sets the portlet handle.

  Parameters
    `portletHandle` - portlet handle

### getStateChangeFlag

    public byte getStateChangeFlag()

  Returns portlet state change flag.

  Returns
    state change flag

### setStateChangeFlag

    public void setStateChangeFlag(byte stateChangeFlag)

  Sets portlet state change flag.

  Parameters
    `stateChangeFlag` - state change flag

### isRequiresUrlTemplates

    public boolean isRequiresUrlTemplates()

  Returns whether the portlet requires URL templates.

  Returns
    boolean

### setRequiresUrlTemplates

    public void setRequiresUrlTemplates(boolean requiresUrlTemplates)

  Sets whether the portlet requires URL templates.

  Parameters
    `requiresUrlTemplates` - boolean

### isTemplatesStoredInSession

    public boolean isTemplatesStoredInSession()

  Returns whether the portlet stores URL templates in the session.

  Returns
    boolean

### setTemplatesStoredInSession

    public void setTemplatesStoredInSession(boolean templatesStoredInSession)

  Sets whether the portlet stores URL templates in the session.

  Parameters
    `templatesStoredInSession` - boolean

### getProxyPortletId

    public int getProxyPortletId()

  Returns the unique ID used to store this proxy portlet in the database.

  Returns
    id

### setProxyPortletId

    public void setProxyPortletId(int proxyPortletId)

  Sets the unique ID used to store this proxy portlet in the database.

  Parameters
    `proxyPortletId` - id

### getPortletState

    public byte[] getPortletState()

  Returns the optional binary portlet state. Some producers may return this during state updates

  Returns
    state

### setPortletState

    public void setPortletState(byte[] portletState)

  Sets the binary porltet state.

  Parameters
    `portletState` - state

### getDeleteErrorCause

    public String getDeleteErrorCause()

  Returns any error cause set if the consumer tries to destroy the portlet and the attempt failed.

  Returns
    error cause

### setDeleteErrorCause

    public void setDeleteErrorCause(String deleteErrorCause)

  Sets error cause set if the consumer tries to destroy the portlet and the attempt failed.

  Parameters
    `deleteErrorCause` - error cause

### isProducerOfferedPortlet

    public boolean isProducerOfferedPortlet()

  Returns whether this portlet is producer offered or consumer created.

  Returns
    boolean

### setProducerOfferedPortlet

    public void setProducerOfferedPortlet(boolean producerOfferedPortlet)

  Sets whether this portlet is producer offered or consumer created.

  Parameters
    `producerOfferedPortlet` - boolean

### isProducerRemovable

    public boolean isProducerRemovable()

  Is it safe to call removePortlets on portletHandle Will only return true when this is returned from getRemovableProxyPortlets

  Returns
    true if this was created by getRemovableProxyPortlets AND isProducerOfferedPortlet is false AND there are no other proxy portlets refering to portletHandle

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.